Bug 152145 - Serial mouse does not work instead of being correctly detected on anaconda (X-server) startup
Summary: Serial mouse does not work instead of being correctly detected on anaconda (X...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-25 10:29 UTC by Beeba
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 19:00:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Beeba 2005-03-25 10:29:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When running instalation FC2 or FC3, there is "correctly" detected serial two-button (three-button in fact, but no matter) generic mouse on startup of the installer. However, than does not work. I suppose that anaconda (X-server) probably expects a PS/2 mouse as default, no matter the detection. Unfortunatelly, a user-guided choose of mouse have been ommited from pre-instalation setup like it was common in RedHat distributions (as well as choosing a keyboard).

The same bug (serial mouse mulfunction) appears on startup of Fedora Core system FC2 or FC3, when chosen "rhgb quiet" options in GRUB, until mouse services for consoles are set up. Than the mouse works correctly.

However - in xorg.conf generated by anaconda there appears protocol IMPS/2 in mouse Section in spite of the mouse is serial one. It works, but one would guess that rather PS/2 mouse is expected by X-server than serial.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a serial 3-button Genius mouse (a common one)
2a. Start installation of Fedora Core 2/3: anaconda problem
2b. Run already installed FC2/3 and run X-server: FC3 startup and improper X-server setup

Actual Results:  a. serial mouse did not work in installer
b. serial mouse did not work until set up of mouse services for console; improper mouse configuration in xorg.conf

Expected Results:  the mouse should be working just from startup (installation/common run of Fedora Core 2/3) when the cursor first appears on the screen

Additional info:

probably only PS/2 mouse is considered as default, no matter the detection

Comment 1 Jeremy Katz 2005-03-28 19:00:04 UTC
We don't support serial mice with the 2.6 kernel.


Note You need to log in before you can comment on or make changes to this bug.